Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PolygonMode Class Reference

State Class for setting OpenGL's polygon culling mode. More...

Inheritance diagram for osg::PolygonMode:

[legend]
List of all members.

## Public Types
enum | Mode { POINT = GL_POINT, LINE = GL_LINE, FILL = GL_FILL }
enum | Face { FRONT_AND_BACK, FRONT, BACK }
## Public Member Functions
| PolygonMode ()
| PolygonMode (Face face, Mode mode)
| PolygonMode (const PolygonMode &pm, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PolygonMode, POLYGONMODE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMode (Face face, Mode mode)
Mode | getMode (Face face) const
bool | getFrontAndBack () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~PolygonMode ()
## Protected Attributes
Mode | _modeFront
Mode | _modeBack

## Detailed Description

State Class for setting OpenGL's polygon culling mode.

## Member Enumeration Documentation

enum osg::PolygonMode::Face

  | Enumeration values:
  FRONT_AND_BACK |
  FRONT |
  BACK |

enum osg::PolygonMode::Mode

  | Enumeration values:
  POINT |
  LINE |
  FILL |

## Constructor & Destructor Documentation

osg::PolygonMode::PolygonMode | ( |  | ) |

osg::PolygonMode::PolygonMode | ( | Face | face,
|  | Mode | mode
| ) | `[inline]`

osg::PolygonMode::PolygonMode | ( | const PolygonMode & | pm,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::PolygonMode::~PolygonMode | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::PolygonMode::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::PolygonMode::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

bool osg::PolygonMode::getFrontAndBack | ( |  | ) | const`[inline]`

Mode osg::PolygonMode::getMode | ( | Face | face | ) | const

osg::PolygonMode::META_StateAttribute | ( | osg | ,
|  | PolygonMode | ,
|  | POLYGONMODE |
| ) |

void osg::PolygonMode::setMode | ( | Face | face,
|  | Mode | mode
| ) |

## Member Data Documentation

Mode osg::PolygonMode::_modeBack`[protected]`

Mode osg::PolygonMode::_modeFront`[protected]`

The documentation for this class was generated from the following file:

- PolygonMode